Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 331855 - app-arch/tarsync does not respect LDFLAGS
Summary: app-arch/tarsync does not respect LDFLAGS
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High QA (vote)
Assignee: Brian Harring
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: ldflags
  Show dependency tree
 
Reported: 2010-08-09 16:39 UTC by Diego Elio Pettenò (RETIRED)
Modified: 2010-08-15 07:44 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Build log (tarsync-0.2.1:20100808-232012.log,4.30 KB, text/plain)
2010-08-09 16:39 UTC, Diego Elio Pettenò (RETIRED)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Diego Elio Pettenò (RETIRED) gentoo-dev 2010-08-09 16:39:29 UTC
See attached build log.

(Please do not complain about the need for looking at the build log until you can provide an easy way to open bugs with the correct data picked out of a tinderbox log. Thanks.)
Comment 1 Diego Elio Pettenò (RETIRED) gentoo-dev 2010-08-09 16:39:43 UTC
Created attachment 242065 [details]
Build log
Comment 2 Brian Harring gentoo-dev 2010-08-11 08:29:40 UTC
0.2.1-r1 respects LDFLAGS...
Comment 3 Alon Bar-Lev 2010-08-13 21:11:44 UTC
As strange as it sounds, this change broke tarsync for me...
0.2.1 works
0.2.1-r1 does not work

---

Fetching file portage-20100812.tar.lzma.md5sum ...
Fetching file portage-20100812.tar.lzma.gpgsig ...
Fetching file portage-20100812.tar.lzma ...
Checking digest ...
portage-20100812.tar.lzma: OK
Checking signature ...
gpg: Signature made Fri 13 Aug 2010 10:12:19 AM IDT using DSA key ID 239C75C4
gpg: Good signature from "Gentoo Portage Snapshot Signing Key (Automated Signing Key)"
gpg: Note: This key has expired!
Primary key fingerprint: AE54 54F9 67B5 6AB0 9AE1  6064 0838 C26E 239C 75C4
Getting snapshot timestamp ...
Syncing local tree ...
scanning tarball...
checksum failed on a tarfile, bailing
error reading portage-20100812.tar.lzma
/usr/sbin/emerge-webrsync: error: tarsync failed; tarball is corrupt? (portage-20100812.tar.lzma)
Comment 4 Brian Harring gentoo-dev 2010-08-15 02:23:29 UTC
> checksum failed on a tarfile, bailing
This is a valid complaint leveled by tarsync innards; it's definitely not sensitive to --as-needed, nor is that area sensitive to -O1.

What exactly are your flags?  CFLAGS and LDFLAGS in particular...
Comment 5 Alon Bar-Lev 2010-08-15 04:00:23 UTC
Nothing special...
Does it works for you? (using lzma)

# emerge --info
Portage 2.2_rc67 (default/linux/amd64/10.0/no-multilib, gcc-4.4.3, glibc-2.11.2-r0, 2.6.35-gentoo-r1 x86_64)
=================================================================
System uname: Linux-2.6.35-gentoo-r1-x86_64-Intel-R-_Core-TM-2_Duo_CPU_T9600_@_2.80GHz-with-gentoo-2.0.1
Timestamp of tree: Fri, 13 Aug 2010 07:00:01 +0000
app-shells/bash:     4.0_p37
dev-java/java-config: 2.1.11
dev-lang/python:     2.6.5-r3, 3.1.2-r4
dev-util/cmake:      2.8.1-r2
sys-apps/baselayout: 2.0.1
sys-apps/openrc:     0.6.1-r1
sys-apps/sandbox:    2.2
sys-devel/autoconf:  2.13, 2.65
sys-devel/automake:  1.9.6-r3, 1.10.3, 1.11.1
sys-devel/binutils:  2.20.1-r1
sys-devel/gcc:       4.4.3-r2
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6b
virtual/os-headers:  2.6.30-r1
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="@FSF-APPROVED @FSF-APPROVED-OTHER freedist Artistic"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -march=core2 -msse4.1 -fomit-frame-pointer -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/X11/xkb /usr/share/config /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/eselect/postgresql /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/splash /etc/terminfo"
CXXFLAGS="-O2 -march=core2 -msse4.1 -fomit-frame-pointer -pipe"
DISTDIR="/var/gentoo/distfiles"
FEATURES="assume-digests distlocks fixpackages news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unmerge-logs unmerge-orphans userfetch userpriv usersandbox webrsync-gpg"
GENTOO_MIRRORS="http://mirror.isoc.org.il/pub/gentoo http://gentoo.osuosl.org"
LANG="he_IL.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="en he"
MAKEOPTS="-j3"
PKGDIR="/var/gentoo/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/var/gentoo/portage"
PORTDIR_OVERLAY="/usr/local/portage/local /usr/local/portage/alon-barlev-portage /usr/local/portage/correlsense-gentoo-overlay"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X acl acpi alsa amd64 bidi bluetooth bzip2 caps cli cracklib crypt cups curl cxx dri fam gpm iconv ipv6 jpeg jpeg2k kde kerberos logrotate lzma mmx modules mp3 mpeg mudflap ncurses nls nptl nptlonly ogg opengl openmp pam pcre png pppd qt3support qt4 readline reflection samba session spl sse sse2 ssl svg sysfs tcpd tiff unicode vim-syntax vorbis xinerama xorg zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_anon authn_default authn_file authz_default authz_groupfile authz_host authz_user dav dir env expires mime rewrite" APACHE2_MPMS="prefork" ELIBC="glibc" FOO2ZJS_DEVICES="oki3200" INPUT_DEVICES="evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en he" QEMU_SOFTMMU_TARGETS="x86_64" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="intel" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account" 
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LC_ALL, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 6 Brian Harring gentoo-dev 2010-08-15 04:59:17 UTC
Your issues are covered in #332799; closing this bug since it was LDFLAGS related (which is not the source of this issue, emerge-webrsync being stupid is).
Comment 7 Alon Bar-Lev 2010-08-15 06:44:04 UTC
But how come with same portage version the -r1 does not work? Strange.
Comment 8 Brian Harring gentoo-dev 2010-08-15 07:44:51 UTC
(In reply to comment #7)
> But how come with same portage version the -r1 does not work? Strange.

Pure dumb luck.  At the time you did the sync, it couldn't get an lzma and fell back to a bz2 is what I suspect- tarsync *does* handle bz2.

lzma wise, it's never worked.  It's possible zac went and enabled lzma out of the blue recently also, but the issue was never tarsync- always emerge-webrsync.